#include <IRremote.h>
#include <IRremoteInt.h>


/*************************************
 *     *     TIME:20202.04.25
 *     Development Team: MYLS Technology Co.
 *     INFRARED REMOTE CONTROL
 *     מצב שליטה בשלט  אינפרא אדום        
 *     זכור!  יש להתקין קודם את הספריות של אירפרא אדום
 * 
 **************************************/

//------- IR REMOTE CODES ---------//
#define FORWARD 0xFF18E7   //16718055  
#define BACK    0xFF4AB5    //16730805
#define LEFT    0xFF10EF    //16716015
#define RIGHT   0xFF5AA5    //16734885
#define  STOP   0xFF38C7    //16726215
#define Buzzer  0xFFB04F    //16738455  # key
 
#define RECV_PIN  2

int D1 = 5;      // Definition of IO port
int D2 = 6;       
int D3 = 9;      
int D4 = 10;   


IRrecv irrecv(RECV_PIN);
decode_results results;
unsigned long val;
unsigned long preMillis;

void Forward()
{
  digitalWrite(D1, LOW);
  digitalWrite(D2, HIGH);
  digitalWrite(D3, LOW);
  digitalWrite(D4, HIGH);
}
void back()
{
  digitalWrite(D1, HIGH);
  digitalWrite(D2, LOW);
  digitalWrite(D3, HIGH);
  digitalWrite(D4, LOW);
}
void right()
{
  digitalWrite(D1, LOW);
  digitalWrite(D2, LOW);
  digitalWrite(D3, LOW);
  digitalWrite(D4, HIGH);
}
void left()
{
  digitalWrite(D1, LOW);
  digitalWrite(D2, HIGH);
  digitalWrite(D3, LOW);
  digitalWrite(D4, LOW);
}
void stop_it()
{
  digitalWrite(D1, LOW);
  digitalWrite(D2, LOW);
  digitalWrite(D3, LOW);
  digitalWrite(D4, LOW);
}


void setup() {
  Serial.begin(9600);
  pinMode(D1, OUTPUT);
  pinMode(D2, OUTPUT); 
  pinMode(D3, OUTPUT);
  pinMode(D4, OUTPUT);  
  stop_it();
  irrecv.enableIRIn();
}
////////////////////////////////
  
void loop() {
  if (irrecv.decode(&results)){ 
    preMillis = millis();
    val = results.value;
    Serial.println(val, HEX); 
    irrecv.resume();
    switch(val){
      case FORWARD: Forward();  break;
      case BACK:    back();     break;
      case LEFT:    left();     break;
      case RIGHT:   right();    break;
     case STOP:    stop_it();     break;   
      
      default:                  break;
    }
  

  }
}
